import Suite, { SuiteLifecycleFunction } from '../Suite';
import { TestFunction } from '../Test';
import Executor from '../executors/Executor';
export interface TddInterface {
    suite(name: string, factory: SuiteLifecycleFunction): void;
    test(name: string, test: TestFunction): void;
    before(fn: SuiteLifecycleFunction): void;
    after(fn: SuiteLifecycleFunction): void;
    beforeEach(fn: SuiteLifecycleFunction): void;
    afterEach(fn: SuiteLifecycleFunction): void;
}
export declare function suite(name: string, factory: (suite: Suite) => void): void;
export declare function test(name: string, test: TestFunction): void;
export declare function before(fn: SuiteLifecycleFunction): void;
export declare function after(fn: SuiteLifecycleFunction): void;
export declare function beforeEach(fn: SuiteLifecycleFunction): void;
export declare function afterEach(fn: SuiteLifecycleFunction): void;
export declare function getInterface(executor: Executor): TddInterface;
